Bug 245036 - net/ocserv: Update to 1.0.0
Summary: net/ocserv: Update to 1.0.0
Status: New
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Carlos J. Puga Medina
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-03-24 22:44 UTC by Juraj Lutter
Modified: 2020-03-25 00:22 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (cpm)


Attachments
net/ocserv: Update to 1.0.0 (7.63 KB, patch)
2020-03-24 22:44 UTC, Juraj Lutter
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Juraj Lutter 2020-03-24 22:44:01 UTC
Created attachment 212682 [details]
net/ocserv: Update to 1.0.0

Hi,

the patch attached contains an update for net/ocserv to bring it to 1.0.0 which was recently released. It also tries to fix a minor glitches with PREFIX handling and also backports one recent commit.

Poudriere logs:

https://freebsd-stable.builder.wilbury.net/data/11_3_RELEASE_GENERIC-default-hvpngw/2020-03-25_00h32m35s/logs/ocserv-1.0.0.log

https://freebsd-stable.builder.wilbury.net/data/12_STABLE_GENERIC_amd64-default/2020-03-25_00h03m26s/logs/ocserv-1.0.0.log
Comment 1 Juraj Lutter 2020-03-25 00:22:06 UTC
Changelog leading from 0.12.4 to 1.0.0:

* Version 1.0.0 (released 2020-03-20)
- Avoid crash on invalid configuration values.
- Updated manpage generation to work with newer versions of ronn.
- Ensure scripts have all the information on all disconnection types (#231)
- Several updates to further restrict the control that worker processes have
  on the main process. Patches by Alan Jowett (#251, #252, #245, #247, #246)
- Add support for RFC6750 bearer tokens. This adds the "auth=oidc" config
  option. See doc/README-oidc.md for more information (#240).
- Add USER_AGENT, DEVICE_TYPE and DEVICE_PLATFORM environment variables when
  connect/disconnect scripts execute.
- Corrected issue with DTLS-PSK negotiation which prevented it from being
  enabled.
- Improved IPv6 handling of AnyConnect client for Apple ios (#254).
- Fixed issue with Radius accounting (#269).


* Version 0.12.6 (released 2019-12-28)
- Improved IPv6 support for anyconnect clients. Patch by Leendert van Doorn.
- The 'split-dns' configuration directive can be used per-user (#229).
- The max-same-clients=1 configuration option no longer refuses the
  reconnection of an already connected user (#223).
- Added openat() to the accepted list of seccomp calls. This allows ocserv
  to run under certain libcs (#185).


* Version 0.12.5 (released 2019-10-16)
- Fixed issue with FreeBSD tun devices closing (#213).
- Added configuration option udp-listen-host. This option supports different
  listen addresses for tcp and udp such as haproxy for tcp, but support dtls
  at the same time.
- occtl: fixed json output of show status command. Introduced tests
  for checking its json output using yajl (#220).
- occtl: use maxminddb when available.